import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const vetFarmSubmitAggregateBars = createAsyncThunk(
  "VET_FARM_SUBMIT_AGGREGATE_BARS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.post(
        `aggregate-vet-check-province-kill-request/`,
        d
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);

export const vetFarmReturnAggregateBars = createAsyncThunk(
  "VET_FARM_SUBMIT_AGGREGATE_BARS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.put(
        `aggregate-vet-check-province-kill-request/0/`,
        d
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
